Package com.independentsoft.office.diagrams

# Class Rule

java.lang.Object
com.independentsoft.office.diagrams.Rule

public class Rule extends Object
The Class Rule.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rule()`
  Instantiates a new rule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Rule`
  `clone()`
  `double`
  `getFactor()`
  Gets the factor.
  `ConstraintRelationship`
  `getForConstraint()`
  Gets the for constraint.
  `String`
  `getForName()`
  Gets the for name.
  `double`
  `getMaxValue()`
  Gets the max value.
  `ElementType`
  `getPointType()`
  Gets the point type.
  `ConstraintType`
  `getType()`
  Gets the type.
  `double`
  `getValue()`
  Gets the value.
  `void`
  `setFactor​(double factor)`
  Sets the factor.
  `void`
  `setForConstraint​(ConstraintRelationship forConstraint)`
  Sets the for constraint.
  `void`
  `setForName​(String forName)`
  Sets the for name.
  `void`
  `setMaxValue​(double maxValue)`
  Sets the max value.
  `void`
  `setPointType​(ElementType pointType)`
  Sets the point type.
  `void`
  `setType​(ConstraintType type)`
  Sets the type.
  `void`
  `setValue​(double val)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Rule

    public Rule()
    Instantiates a new rule.

- ## Method Details

  - ### clone

    public Rule clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFactor

    public double getFactor()
    Gets the factor.
    Returns:
      the factor

  - ### setFactor

    public void setFactor​(double factor)
    Sets the factor.
    Parameters:
      `factor` - the new factor

  - ### getForConstraint

    public ConstraintRelationship getForConstraint()
    Gets the for constraint.
    Returns:
      the for constraint

  - ### setForConstraint

    public void setForConstraint​(ConstraintRelationship forConstraint)
    Sets the for constraint.
    Parameters:
      `forConstraint` - the new for constraint

  - ### getForName

    public String getForName()
    Gets the for name.
    Returns:
      the for name

  - ### setForName

    public void setForName​(String forName)
    Sets the for name.
    Parameters:
      `forName` - the new for name

  - ### getMaxValue

    public double getMaxValue()
    Gets the max value.
    Returns:
      the max value

  - ### setMaxValue

    public void setMaxValue​(double maxValue)
    Sets the max value.
    Parameters:
      `maxValue` - the new max value

  - ### getPointType

    public ElementType getPointType()
    Gets the point type.
    Returns:
      the point type

  - ### setPointType

    public void setPointType​(ElementType pointType)
    Sets the point type.
    Parameters:
      `pointType` - the new point type

  - ### getType

    public ConstraintType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ConstraintType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getValue

    public double getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(double val)
    Sets the value.
    Parameters:
      `val` - the new value